
#ifndef UPCTV_H
#define UPCTV_H


#define TV_INACTIVE 0
#define TV_PLAYING  1
#define TV_PAUSED   2
#define TV_ERROR   -1


extern "C" int __stdcall  upcTVAbout();
extern "C" int __stdcall  upcTVStatus(unsigned long TimeOut);
extern "C" int __stdcall  upcTVRead (const char *String);
extern "C" int __stdcall  upcTVReadFile(const char *FileName);
extern "C" int __stdcall  upcTVStop();
extern "C" int __stdcall  upcTVPause();
extern "C" int __stdcall  upcTVResume();
extern "C" int __stdcall  upcTVSetSpeaker(unsigned short spkId);

extern "C" int __stdcall  upcTVSetSpeed(unsigned short WordsPerMinute);
extern "C" int __stdcall  upcTVSetLanguage(short Lang);
extern "C" int __stdcall  upcTVGetNumberOfSpeakers ();
extern "C" int __stdcall  upcTVGetInfoSpeaker(unsigned short spkId, char *buff, unsigned long buffSize);


#endif